"use client";
import { jsx as a, jsxs as n } from "react/jsx-runtime";
import { Root as o } from "../../node_modules/@radix-ui/react-slot/dist/index.js";
import { cn as t } from "../../lib/utils.js";
import i from "../../node_modules/lucide-react/dist/esm/icons/ellipsis.js";
import l from "../../node_modules/lucide-react/dist/esm/icons/chevron-right.js";
function f({ ...r }) {
  return /* @__PURE__ */ a("nav", { "aria-label": "breadcrumb", "data-slot": "breadcrumb", ...r });
}
function g({ className: r, ...e }) {
  return /* @__PURE__ */ a(
    "ol",
    {
      "data-slot": "breadcrumb-list",
      className: t(
        "text-d-secondary-foreground flex flex-wrap items-center gap-1.5 text-sm break-words sm:gap-2.5",
        r
      ),
      ...e
    }
  );
}
function x({ className: r, ...e }) {
  return /* @__PURE__ */ a(
    "li",
    {
      "data-slot": "breadcrumb-item",
      className: t("inline-flex items-center gap-1.5", r),
      ...e
    }
  );
}
function h({
  asChild: r,
  className: e,
  ...s
}) {
  return /* @__PURE__ */ a(
    r ? o : "a",
    {
      "data-slot": "breadcrumb-link",
      className: t("hover:text-d-foreground transition-colors", e),
      ...s
    }
  );
}
function N({ className: r, ...e }) {
  return /* @__PURE__ */ a(
    "span",
    {
      "data-slot": "breadcrumb-page",
      role: "link",
      "aria-disabled": "true",
      "aria-current": "page",
      className: t("text-d-foreground font-normal", r),
      ...e
    }
  );
}
function B({
  children: r,
  className: e,
  ...s
}) {
  return /* @__PURE__ */ a(
    "li",
    {
      "data-slot": "breadcrumb-separator",
      role: "presentation",
      "aria-hidden": "true",
      className: t("[&>svg]:size-3.5", e),
      ...s,
      children: r ?? /* @__PURE__ */ a(l, {})
    }
  );
}
function k({
  className: r,
  ...e
}) {
  return /* @__PURE__ */ n(
    "span",
    {
      "data-slot": "breadcrumb-ellipsis",
      role: "presentation",
      "aria-hidden": "true",
      className: t("flex size-9 items-center justify-center", r),
      ...e,
      children: [
        /* @__PURE__ */ a(i, { className: "size-4" }),
        /* @__PURE__ */ a("span", { className: "sr-only", children: "More" })
      ]
    }
  );
}
export {
  f as Breadcrumb,
  k as BreadcrumbEllipsis,
  x as BreadcrumbItem,
  h as BreadcrumbLink,
  g as BreadcrumbList,
  N as BreadcrumbPage,
  B as BreadcrumbSeparator
};
